Class RequestParameters
java.lang.Object
io.vertx.rxjava3.ext.web.validation.RequestParameters
- All Implemented Interfaces:
io.vertx.lang.rx.RxDelegate
-
Field Summary
Fields -
Constructor Summary
ConstructorsConstructorDescriptionRequestParameters(RequestParameters delegate) RequestParameters(Object delegate) -
Method Summary
Modifier and TypeMethodDescriptionbody()Return request body when parsed.cookieParameter(String name) Get cookie parameter by nameGet list of all parameter names inside cookiebooleaninthashCode()headerParameter(String name) Get header parameter by name.Get list of all parameter names inside headerstatic RequestParameterspathParameter(String name) Get path parameter by nameGet list of all parameter names inside pathqueryParameter(String name) Get query parameter by nameGet list of all parameter names inside querytoJson()This method converts RequestParameters in an unique JsonObject with 6 fields: cookie, path, query, header, form, body
cookie, path, query, header, form are JsonObject where keys are param names and values are param values, while body depends on body's shape and may not existtoString()
-
Field Details
-
__TYPE_ARG
-
-
Constructor Details
-
RequestParameters
-
RequestParameters
-
-
Method Details
-
toString
-
equals
-
hashCode
-
getDelegate
- Specified by:
getDelegatein interfaceio.vertx.lang.rx.RxDelegate
-
pathParametersNames
-
pathParameter
Get path parameter by name- Parameters:
name- Parameter name- Returns:
-
queryParametersNames
-
queryParameter
Get query parameter by name- Parameters:
name- Parameter name- Returns:
-
headerParametersNames
-
headerParameter
Get header parameter by name. This getter is case insensitive.- Parameters:
name- Parameter name- Returns:
-
cookieParametersNames
-
cookieParameter
Get cookie parameter by name- Parameters:
name- Parameter name- Returns:
-
body
-
toJson
This method converts RequestParameters in an unique JsonObject with 6 fields: cookie, path, query, header, form, body
cookie, path, query, header, form are JsonObject where keys are param names and values are param values, while body depends on body's shape and may not exist- Returns:
-
newInstance
-